
D4Science Infrastructure - Task #2178

Replace the cm.research-infrastructures.eu ssh key

Feb 08, 2016 07:39 PM - Andrea Dell'Amico

Status: Closed Start date: Feb 08, 2016

Priority: High Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development, Pre-Production,

Production

  

Description

Change it with a new one, because only Marko knew the passphrase but he doesn't remember it anymore.

The key must be removed from the distribution tar files and from all the provisioned VMs. The new one has to be distributed instead.

History

#1 - Feb 08, 2016 07:41 PM - Andrea Dell'Amico

The new key should be only distributed via ansible and not provided on the new VMs by default. So only the already provisioned VMs can be

accessed by the configuration machine.

The cm hostname should be changed to cm.d4science.org too.

#2 - Feb 09, 2016 01:38 PM - Andrea Dell'Amico

- % Done changed from 0 to 30

Changed the xen-tools configuration on all the hypervisors.

#3 - Feb 10, 2016 11:54 AM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 30 to 100

The new key has been generated. A run of the common ansible playbook is needed to have it provisioned on the VMs.
